Системные требования Версия: 1.0.10


Веб-сервер:

  • Поддержка mod_rewrite для Apache, в случае если используется Nginx + FPM необходимо выполнить конвертацию правил из файла .htaccess;
  • Открытые UDP / TCP порты, для опроса серверов должны быть открыты соответствующие порты. Обычно на простых хостингах все нужные порты - закрыты, по этому нужна VDS.

Сервер баз данных MySQL:

  • Версия 5.5 и выше.

Интерпретатор PHP:

  • Версия 5.6 или выше, если версия ниже, необходимо ее обновить до 5.6, работа мониторинга так же возможна на php версии 7.* , но для этого необходимо установить бета версию IonCube Loader.

Необходимые PHP модули:

  • IonCube Loader;
  • date - необходим для работы с датой и временем;
  • hash - используется для создания хеш значений;
  • json - используется для ответа при различных запросах и наоборот;
  • session - необходим для механизма авторизации;
  • PDO - для роботы с БД;
  • openssl - необходим для использования криптоалгоритмов;
  • curl - для выполнения различных внешних запросов;
  • fileinfo - для получения информации о хранимых файлах;
  • pdo_mysql - модуль PDO для работы с MySQL;
  • sqlite3 - для использования локальных БД;
  • pdo_sqlite - модуль PDO для работы с SQLite;
  • semaphore.

Выше перечислены модули которые используются в мониторинге.


Минимальные характеристики VDS:

  • 1 ядро с тактовой частотой от 1 MHz;
  • Оперативная память (ОП)  от 256 Мб;
  • Дисковое пространство от 500 Мб;
  • Операционная система Linux, совет - Debian 8.* (или 9.*) x86_64.